netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpfunc_helpers.h File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/cnid.h>`
`#include <atalk/directory.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/queue.h>`
`#include <atalk/util.h>`
`#include <atalk/volume.h>`
`#include "afp_config.h"`
`#include "dircache.h"`
`#include "directory.h"`
`#include "file.h"`
`#include "filedir.h"`
`#include "hash.h"`
`#include "subtests.h"`
`#include "test.h"`
`#include "volume.h"`

Go to the source code of this file.

## Functions
char ** | cnamewrap (const char *name)
int | getfiledirparms (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | createdir (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | createfile (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | delete (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | enumerate (AFPObj *obj, uint16_t vid, cnid_t did)
uint16_t | openvol (AFPObj *obj, const char *name)

## Function Documentation

## ◆ cnamewrap()

char ** cnamewrap | ( | const char * | name | ) |
| extern

## ◆ createdir()

int createdir | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )
| extern

## ◆ createfile()

int createfile | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )
| extern

## ◆ delete()

int delete | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )
| extern

## ◆ enumerate()

int enumerate | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did )
| extern

## ◆ getfiledirparms()

int getfiledirparms | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )
| extern

## ◆ openvol()

uint16_t openvol | ( | AFPObj * | obj,
|  | const char * | name )
| extern